summaryrefslogtreecommitdiffstats
path: root/src/cmd/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cmd/install.sh')
-rw-r--r--src/cmd/install.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/cmd/install.sh b/src/cmd/install.sh
index 097250a..c96f014 100644
--- a/src/cmd/install.sh
+++ b/src/cmd/install.sh
@@ -50,7 +50,9 @@ cmd_install_main()
else
profile='proteanos'
fi
- profile_set "${profile}"
+ if ! profile_set "${profile}"; then
+ return 2
+ fi
suite="$(profile_normalize_suite "${suite}")"
if [ "x${cmd_install_opt_F+set}" = 'xset' ]; then